Package edu.wisc.game.formatter

## Class HTMLFmter

- java.lang.Object
- - edu.wisc.game.formatter.Fmter
  - - edu.wisc.game.formatter.HTMLFmter

-     public class HTMLFmter
      extends Fmter

  Auxiliary class for formatting output as HTML.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static HTMLFmter` | `htmlFmter` |

    - ### Fields inherited from class edu.wisc.game.formatter.Fmter

      `color, dummy, html`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HTMLFmter()` |
    `HTMLFmter​(File cssFile)` |
    `HTMLFmter​(String _cssUrl)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `a​(String url, String text, String extraClauses)` |
    `String` | `br()` |
    `String` | `brHtml()` | Generates a BR in HTML mode, and a space otherwise.
    `String` | `colored​(String col, String text)` | Builds an HTML FORM element for feedback about a charge, if this formatter is configured to generate them.
    `String` | `hidden​(String name, String value)` |
    `String` | `hr()` |
    `String` | `hrThin()` |
    `String` | `input​(String name)` |
    `String` | `input​(String name, String value)` |
    `String` | `input​(String name, String value, int size)` |
    `String` | `input2​(String name, String extra)` |
    `void` | `resetFormCnt()` | This must be called before the beginning of the document generation
    `String` | `space​(int n)` |
    `String` | `style()` | The STYLE or LINK REL=STYLESHEET element for this HTML file, as the case may be
    `String` | `style​(String cssUrl)` | A LINK REL=STYLESHEET element
    `String` | `title​(String s)` |
    `String` | `wrap​(String wrap, String text)` |
    `String` | `wrap​(String wrap, String extra, String text)` | Builds an HTML element with an opening tag (with optional attributes) and a matching closing tag.

    - ### Methods inherited from class edu.wisc.game.formatter.Fmter

      `a, button, code, ei, em, h1, h2, h3, h4, h5, html, html2, para, paraEi, pre, row, row, rowExtra, rowExtra, rowTh, rowTh, setColor, small, space, sprintf, src, strong, table, table, td, td, th, th, tr, tt, wrap2, wrap2`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### htmlFmter

          public static HTMLFmter htmlFmter

  - ### Constructor Detail

    - #### HTMLFmter

          public HTMLFmter()

    - #### HTMLFmter

          public HTMLFmter​(File cssFile)

      Parameters:
        `cssFile` - The location of the CSS file which will be inserted into the head of the HTML report (both the the batch mode and in the GUI tool)

    - #### HTMLFmter

          public HTMLFmter​(String _cssUrl)

  - ### Method Detail

    - #### style

          public String style()

      The STYLE or LINK REL=STYLESHEET element for this HTML file, as the case may be
      Overrides:
        `style` in class `Fmter`

    - #### style

          public String style​(String cssUrl)

      A LINK REL=STYLESHEET element

    - #### br

          public String br()

      Overrides:
        `br` in class `Fmter`

    - #### brHtml

          public String brHtml()

      Generates a BR in HTML mode, and a space otherwise. Handy for breaks in table headers.
      Overrides:
        `brHtml` in class `Fmter`

    - #### hr

          public String hr()

      Overrides:
        `hr` in class `Fmter`

    - #### hrThin

          public String hrThin()

      Overrides:
        `hrThin` in class `Fmter`

    - #### space

          public String space​(int n)

      Overrides:
        `space` in class `Fmter`

    - #### wrap

          public String wrap​(String wrap,
                             String extra,
                             String text)

      Builds an HTML element with an opening tag (with optional attributes) and a matching closing tag.
      Overrides:
        `wrap` in class `Fmter`
      Parameters:
        `wrap` - An HTML tag, e.g. "P", "H2", or "TD"
        `extra` - Additional attributes to go into the opening tag, e.g. "valign='top'". Could be null or "" for none.
        `text` - The text to be wrapped into the tag (i.e. to go between e.g. TD and /TD).

    - #### wrap

          public String wrap​(String wrap,
                             String text)

      Overrides:
        `wrap` in class `Fmter`

    - #### input2

          public String input2​(String name,
                               String extra)

    - #### input

          public String input​(String name,
                              String value,
                              int size)

    - #### input

          public String input​(String name,
                              String value)

    - #### input

          public String input​(String name)

    - #### hidden

          public String hidden​(String name,
                               String value)

    - #### resetFormCnt

          public void resetFormCnt()

      This must be called before the beginning of the document generation

    - #### colored

          public String colored​(String col,
                                String text)

      Builds an HTML FORM element for feedback about a charge, if this formatter is configured to generate them.
      Overrides:
        `colored` in class `Fmter`

    - #### a

          public String a​(String url,
                          String text,
                          String extraClauses)

      Overrides:
        `a` in class `Fmter`

    - #### title

          public String title​(String s)